package com.system.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 金蝶配置表
 *
 * @author Inori
 */
@TableName("tb_init_connect_param")
public class InitConnectParam {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    /**
     * 金蝶地址
     */
    private String k3CloudUrl;


    /**
     * 金蝶账套ID
     */
    private String dbid;


    /**
     * 用户名
     */
    private String uid;


    /**
     * 密码
     */
    private String pwd;


    /**
     * 端口
     */
    private int lang;


    /**
     * 是否提交审核
     */
    private boolean isAutoSubmit;


    /**
     * 第三方路径
     */
    private String thirdPartyUrl;


    /**
     * 定时任务时长/分钟
     */
    private Integer duration;


    /**
     * Lic密文
     */
    private String licCipherText;


    /**
     * 创建时间
     */
    private String createTime;


    /**
     * 更新时间
     */
    private String updateTime;


    public InitConnectParam() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getK3CloudUrl() {
        return k3CloudUrl;
    }

    public void setK3CloudUrl(String k3CloudUrl) {
        this.k3CloudUrl = k3CloudUrl;
    }

    public String getDbid() {
        return dbid;
    }

    public void setDbid(String dbid) {
        this.dbid = dbid;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public int getLang() {
        return lang;
    }

    public void setLang(int lang) {
        this.lang = lang;
    }

    public String getThirdPartyUrl() {
        return thirdPartyUrl;
    }

    public void setThirdPartyUrl(String thirdPartyUrl) {
        this.thirdPartyUrl = thirdPartyUrl;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public String getLicCipherText() {
        return licCipherText;
    }

    public void setLicCipherText(String licCipherText) {
        this.licCipherText = licCipherText;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }


}
